`timescale 1ns / 1ps
`default_nettype none

//Egybites teljes sszead.
module fadd(
   //Az egyik sszeadand bit.
   input  wire a,
   //A msik sszeadand bit.
   input  wire b,
   //A bejv tvitel bit.
   input  wire ci,
   //A kimen ssze bit.
   output wire s,
   //A kimen tvitel bit.
   output wire co
);

//Az sszeg bit ellltsa:
//- a 3 bemenet XOR kapcsolata
assign s = a ^ b ^ ci;

//A klimen tvitel bit ellltsa:
//- 1, ha legalbb 2 bemenet 1 rtk.
assign co = (a & b) | (a & ci) | (b & ci);

endmodule

`default_nettype wire
