`timescale 1ns / 1ps

//Tesztkrnyetet a "gyak1_1" modulhoz.
//Specilis modul, nincsenek portjai.
module gyak1_1_test;
   
   //Bels jelek, ezeket tudjuk figyelni a szimultorban.
	// Inputs
	reg  [7:0] sw;
	// Outputs
	wire [7:0] ld;

	// Instantiate the Unit Under Test (UUT)
	gyak1_1 uut (
		.sw(sw), 
		.ld(ld)
	);

	initial begin
		// Initialize Inputs
		sw = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here
      //Numerikus konstans megadsa:
      //1) Bitszm (opcionlis, 32 bit az alaprtelmezett).
      //2) '
      //3) Szmrendszer: b (2), o (8), d (10, alaprtelmezett), h (16).
      //4) Konstans megadsa a szmrendszer digitjeivel.
      sw = 8'd55;
      #100;
      sw = 8'b0011_1100;
      #100;
      sw = 8'hf0;
      #100;
	end
      
endmodule

