`timescale 1ns / 1ps

module gyak1_2_test;

	// Inputs
	reg [7:0] sw;

	// Outputs
	wire [7:0] ld;

	// Instantiate the Unit Under Test (UUT)
	gyak1_2 uut (
		.sw(sw), 
		.ld(ld)
	);
   
   integer i;

	initial begin
		// Initialize Inputs
		sw = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here
      for (i = 0; i < 256; i = i + 1)
      begin
         sw = i;
         #100;
      end
	end
      
endmodule

