`timescale 1ns / 1ps
`default_nettype none

module gyak1_1(
   //A Verilog modul port listja.
   
   //A portok deklarcija:
   //1) Irny: input, output (, inout).
   //2) Tpus: wire vagy reg (utbbi csak kimenet esetn).
   //3) Mret: [MSb index:LSb index] -> N bites: [N-1:0] (opcionlis).
   //4) Port neve
   
   //8 bites bemeneti port, a neve sw.
   input  wire [7:0] sw,
   //8 bites kimeneti port, a neve ld.
   output wire [7:0] ld
);

//A Verilog modul trzse. Itt kell lerni a
//megvalstand funkcit:
//- A kapcsolval (sw) szeretnnk vezrelni a LED-eket (ld).

//rtkads wire tpus jel esetn: assign utasts
//Szintaxis: assign [wire tpus jel] = [kifejezs];
//Folyamatos rtkads. A jobb oldali kifejezs minden
//idpillanatban kirtkeldik s az rtkt minden
//idpillanatban megkapja a bal oldali jel. -> Kombincis hlzat!
//Az rtkads bitenknt trtnik, az LSb az LSb rtkt veszi fel
//s gy tovbb, az indexelstl fggetlenl.

assign ld = sw;


endmodule

`default_nettype wire
